Qyra
ReferenceMy Account

Update warehouse credentials

Update user warehouse credentials

PATCH/api/v1/user/warehouseCredentials/{uuid}

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Path parameters

NameTypeRequiredDescription
uuidstringYes

Request body

{
  "credentials": {
    "type": "redshift",
    "user": "string",
    "password": "string"
  },
  "name": "string"
}

Responses

200 — Ok

{
  "results": {
    "project": {
      "type": "DEFAULT",
      "name": "string",
      "projectUuid": "string"
    },
    "credentials": {
      "type": "redshift",
      "user": "string",
      "authenticationType": "password",
      "assumeRoleArn": "string"
    },
    "updatedAt": "2024-01-01T00:00:00.000Z",
    "createdAt": "2024-01-01T00:00:00.000Z",
    "name": "string",
    "userUuid": "string",
    "uuid": "string"
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}